#include "../ltrans.h"
#include <math.h>
#include <stdio.h>
#include <assert.h>



main()
{
 C ltransform a(matrix22(.8, .11, -.21, .9), vector2(1, -3));

 C ltransform b = inverse(a);
 cout << "the inverse of\n" << a << "\n is\n" << b << "\n";
 C ltransform c = b*a;
 cout << "Result of a*inverse(a):\n" << c << "\n";
 assert(dist(c.Shift()) < 1e-10);
 assert((c.Warp()-matrix22::identity()).norm() < 1e-8);
 cout << flush;
 printf("OK\n");
}



